%if 0%{?rhel} < 7 && 0%{?rhel} > 0
%global _pkgdocdir %{_docdir}/%{name}-%{version}
%endif

%global moduletype apps
%global modulename copr
%global selinuxbooleans httpd_enable_cgi=1 httpd_can_network_connect=1 httpd_can_sendmail=1 nis_enabled=1
# We can build 'mls' too, once this is resolved:
# https://github.com/fedora-selinux/selinux-policy-macros/pull/4
%global selinuxvariants targeted

Name:       copr-selinux
Version:    1.55
Release:    1.20250106065726348543.main.26.gb6df55524%{?dist}
Summary:    SELinux module for COPR

License:    GPL-2.0-or-later
URL:        https://github.com/fedora-copr/copr

# Source is created by:
# git clone %%url && cd copr
# tito build --tgz --tag %%name-%%version-%%release
Source0:    copr-selinux-git-0.371929d.tar.gz

BuildArch:  noarch
BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires:  perl

BuildRequires: selinux-policy-devel
%{?selinux_requires}


%description
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latest builds.

This package include SELinux targeted module for COPR

%prep
%setup -q -n copr-selinux-git-0.371929d


%build
# convert manages
a2x -d manpage -f manpage man/copr-selinux-enable.8.asciidoc
a2x -d manpage -f manpage man/copr-selinux-relabel.8.asciidoc

perl -i -pe 'BEGIN { $VER = join ".", grep /^\d+$/, split /\./, "%{version}.%{release}"; } s!\@\@VERSION\@\@!$VER!g;' %{modulename}.te
for selinuxvariant in %selinuxvariants; do
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile
    bzip2 -9 %{modulename}.pp
    mv %{modulename}.pp.bz2 %{modulename}.pp.bz2.${selinuxvariant}
    make NAME=${selinuxvariant} -f %{_datadir}/selinux/devel/Makefile clean
done


%install
for selinuxvariant in %selinuxvariants; do
    install -d %{buildroot}%{_datadir}/selinux/${selinuxvariant}
    install -p -m 644 %{modulename}.pp.bz2.${selinuxvariant} \
           %{buildroot}%{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
done
# Install SELinux interfaces
install -d %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -p -m 644 %{modulename}.if \
  %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
install -d %{buildroot}%{_sbindir}
install -p -m 755 %{name}-enable %{buildroot}%{_sbindir}/%{name}-enable
install -p -m 755 %{name}-relabel %{buildroot}%{_sbindir}/%{name}-relabel
install -d %{buildroot}%{_mandir}/man8
install -p -m 644 man/%{name}-enable.8 %{buildroot}/%{_mandir}/man8/
install -p -m 644 man/%{name}-relabel.8 %{buildroot}/%{_mandir}/man8/


%pre
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_pre -s $selinuxvariant
done


%post
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_install -s $selinuxvariant %{_datadir}/selinux/${selinuxvariant}/%{modulename}.pp.bz2
  %selinux_set_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%postun
for selinuxvariant in %selinuxvariants; do
  %selinux_modules_uninstall -s $selinuxvariant %{modulename}
  %selinux_unset_booleans    -s $selinuxvariant %{selinuxbooleans}
done


%posttrans
for selinuxvariant in %selinuxvariants; do
  %selinux_relabel_post -s $selinuxvariant
done


%files
%license LICENSE
%{_datadir}/selinux/*/%{modulename}.pp.bz2
# empty, do not distribute it for now
%exclude %{_datadir}/selinux/devel/include/%{moduletype}/%{modulename}.if
%{_sbindir}/%{name}-enable
%{_sbindir}/%{name}-relabel
%{_mandir}/man8/%{name}-enable.8*
%{_mandir}/man8/%{name}-relabel.8*

%changelog
* Mon Jan 06 2025 Packit <hello@packit.dev> - 1.55-1.20250106065726348543.main.26.gb6df55524
- backend, frontend: add script to migrate existing build results to Pulp (Jakub Kadlcik)
- backend: typo in the per arch+owner limit option documentation (Pavel Raiskup)
- beaker: make sure we grep the right project (Pavel Raiskup)
- beaker: fix sleeping in runtest-createrepo (Pavel Raiskup)
- beaker-tests-sanity: respect COPR_CLEANUP=false directive (Jakub Kadlcik)
- beaker-tests-sanity: skip OpenMandriva tests (Jakub Kadlcik)
- doc: fixes during the F39 to F41 infrastructure update pt.2 (Pavel Raiskup)
- doc: fixes during the F39 to F41 infrastructure update pt.1 (Jakub Kadlcik)
- docker: install pulp-cli to the backend container (Jakub Kadlcik)
- frontend: pagure events: use text() wrapper around raw queries (Pavel Raiskup)
- docker: remove legacy link and version (Jiri Kyjovsky)
- backend: resultdir-cleaner: remove old appstream failures (Pavel Raiskup)
- docs: how to check we backup properly (Pavel Raiskup)
- messaging: summary is missing propery decorator (Jiri Kyjovsky)
- beaker-tests-sanity, behave: fixes for DNF5 (F41+) (Jakub Kadlcik)
- beaker: use dnf3 for modules since it's not supported for dnf5 (Jiri Kyjovsky)
- beaker: switch container image to f41 (Jiri Kyjovsky)
- docker: upgrade containers for local development to F41 (Jakub Kadlcik)
- frontend: regenerate devel repository when multiple builds are deleted (Jakub Kadlcik)
- doc: updates after F39 → F41 builder update (Pavel Raiskup)
- docker: create /var/lock/copr-dist-git directory (Jakub Kadlcik)
- frontend: test chroot skipping (Jakub Kadlcik)
- rpmbuild: skip only if all macros in ExclusiveArch and ExcludeArch evaluated (Jakub Kadlcik)
- beakertests: move PyPI tests into one file (Pavel Raiskup)
- mics: copr_new_packages add limit option and progressbar (Jiri Kyjovsky)
- misc: copr_new_packages, drop requests to koji api, use repoquery (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [1.2-1]. (Pavel Raiskup)
- docker: point PULP_CONTENT_URL to a local container (Jakub Kadlcik)
- backend: copr-backend-resultdir-cleaner logs into config["log_dir"] (Pavel Raiskup)
- backend: copr-backend-resultdir-cleaner to skip module dirs (Pavel Raiskup)
- backend: manpage for copr-backend-resultdir-cleaner && logger fix (Pavel Raiskup)
- doc: mention powerful builders disk space and admin how to (Jakub Kadlcik)
- Change the pyp2spec invocation (Karolina Surma)
- backend: allow using crt+key pair for Pulp authentication (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [2.1-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [1.1-1]. (Jakub Kadlcik)
- backend: show what command is being run on the builder (Jakub Kadlcik)
- rpmbuild: log even information about success (Jakub Kadlcik)
- rpmbuild: make_srpmbuild, set recursive safe.directory (Jiri Kyjovsky)
- rpmbuild: basic sanity check for rhsm (Pavel Raiskup)
- frontend: support build-time dependencies from other storages (Jakub Kadlcik)
- frontend: move repo functions to a separate file (Jakub Kadlcik)
- builds_initiated_via_hook always passed as a list & doc string update (Jait Jacob)
- custom webhook handler now adds webhook history record (Jait Jacob)
- rpmbuild, frontend: activate Red Hat subscription on demand (Jakub Kadlcik)
- pylint: fix old import errors that appear as new (Pavel Raiskup)
- python, cli: drop six dependency (Pavel Raiskup)
- rpmbuild: drop six usage (this is a Python 3 only package) (Pavel Raiskup)
- rpmbuild: add tooling for "safer" RH subscription (Pavel Raiskup)
- backend: fix copr-backend-unknown-resalloc-tickets (Pavel Raiskup)
- frontend: avoid a duplicated "exists" check (Pavel Raiskup)
- enhance: dnf.conf(5) docs link (Malix)
- doc: release-notes 2024-10-03 (Jiri Kyjovsky)
- frontend: check whether copr exists (Jait Jacob)
- distgit: depend on python3-rpkg >= 1.67-4 (Jakub Kadlcik)
- tito: drop support for el7 (Jiri Kyjovsky)
- backend: unknown-resalloc-tickets: check tickets taken first (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [2.1-1]. (Pavel Raiskup)
- frontend: no `app.log` but `app.logger` (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-keygen] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-messaging] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [1.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [2.0-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr-common] release [1.0-1]. (Jiri Kyjovsky)
- rpmbuild: don't try to log that logger is not ready yet (Jakub Kadlcik)
- beaker: deprecate vera package, use enum (Jiri Kyjovsky)
- beaker-tests-sanity: run basic tests for every supported storage (Jakub Kadlcik)
- backend: first sign packages, then upload them to Pulp (Jakub Kadlcik)
- frontend: point Copr repositories to Pulp (Jakub Kadlcik)
- beaker: update fedora version to f41 for testing (Jiri Kyjovsky)
- frontend: add missing dialect ref for identifier_preparer (Jiri Kyjovsky)
- frontend: show Webhook History table under Settings -> Integrations (Jait Jacob)
- frontend: never set task timeout to None (Jakub Kadlcik)
- backend: even nicer check for VM liveness (Pavel Raiskup)
- rpmbuild: unblock testsuite (Pavel Raiskup)
- rpmbuild: specify snippets to mock config via copr-rpmbuild config file (Jiri Kyjovsky)
- backend: unknown resalloc tickets helper cleanup (Pavel Raiskup)
- rpmbuild: do not require rpkg,pyp2rpm,pyp2spec,gem2rpm and fedora-review on rhel (Miroslav Suchý)
- rpmbuild: do not require qemu-user-static on rhel (Miroslav Suchý)
- Use `super()` without argument to make pylint happy (Aurélien Bompard)
- Message schemas: set chroot message severity to DEBUG (Aurélien Bompard)
- Message schemas: one-line descriptions should be the summary (Aurélien Bompard)
- frontend: fix the 500 for racy creation attempts (Pavel Raiskup)
- beaker: use podman for testing inside container if installed (Jiri Kyjovsky)
- docker: set hard ulimits for docker container (Jiri Kyjovsky)
- frontend, python, cli: allow admins to set storage for new projects (Jakub Kadlcik)
- frontend: make the default storage for new projects configurable (Jakub Kadlcik)
- backend: add a timeout for waiting until a Pulp task finishes (Jakub Kadlcik)
- backend: actions don't call uses_devel_repo function anymore (Jakub Kadlcik)
- backend, frontend: implement project and build deletion in Pulp (Jakub Kadlcik)
- copr: wait until Pulp publication is finished (Jakub Kadlcik)
- common: cleanup - remove six dependency (Miroslav Suchý)
- docker: add pulp container (Jakub Kadlcik)
- frontend: provide statistics on how many users submitted at least one build in past month (Miroslav Suchý)
- rpmbuild: increase the custom method timeout to 90 minutes (Jakub Kadlcik)
- rpmbuild: in F41 do not depend on yum (Miroslav Suchý)
- rpmbuild: cleanup el6 code (Miroslav Suchý)
- ci: enable Ruff Python linter (Pavel Raiskup)
- frontend: add script for changing storage for a project (Jakub Kadlcik)
- backend: don't upload RPM packages to Pulp as artifacts (Jakub Kadlcik)
- docker: add resalloc-webui container (Jakub Kadlcik)
- backend, cli, distgit, rpmbuild: use fixture instead of deprecated yield_fixture (Jakub Kadlcik)
- distgit, backend, common: unify file locking code in copr-common (Jakub Kadlcik)
- cli, rpmbuild, common: replace deprecated pkg_resources with importlib.metadata (Jakub Kadlcik)
- backend: implement timeout fail-safe in case copr-rpmbuild hangs up (Jakub Kadlcik)
- backend: explicitly specify the extractall filter argument (Jakub Kadlcik)
- distgit: fix typo from qiuck to quick (Jakub Kadlcik)
- distgit: don't check that specfile matches the repository name (Jakub Kadlcik)
- frontend: fix tests and pylint issues introduced by previous commit (Jakub Kadlcik)
- frontend: store received webhook information to the database (Jait Jacob)
- frontend: refactor InputSchema and ParamsSchema implementations (Jakub Kadlcik)
- frontend: refactor schema generation (Jakub Kadlcik)
- frontend: remove id_field rename hack (Jakub Kadlcik)
- frontend: move only once used fields directly to their schemas (Jakub Kadlcik)
- frontend: explicitly define fields instead of magically matching them (Jakub Kadlcik)
- common: drop support for rhel7 and rhel6 (Miroslav Suchý)
- keygen: drop support for python2 (Miroslav Suchý)
- backend: do not use six (Miroslav Suchý)
- fronted: silence pylint (Miroslav Suchý)
- frontend: do not use six module (Miroslav Suchý)
- Automatic commit of package [python-copr-common] release [0.25-1]. (Miroslav Suchý)
- frontend: use the same repofile for all CentOS Stream versions (Nikola Forró)
- doc: document subprojects aka CoprDirs (Jakub Kadlcik)
- docker: don't depend other backend containers on log container (Jakub Kadlcik)
- frontend: align delete_after_days validators (Maja Massarini)
- backend: don't use custom urlencode for Pulp queries (Jakub Kadlcik)
- backend: correctly obtain information about a publication (Jakub Kadlcik)
- backend: remove fake jobs and pass specific arguments to storage calls (Jakub Kadlcik)
- backend: add support for pulp domains (Jakub Kadlcik)
- backend: move storage object creation to the Action constructor (Jakub Kadlcik)
- frontend, backend: implement chroot deletion in Pulp (Jakub Kadlcik)
- backend: add function for creating a storage based on StorageEnum (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 1.0.1 to 1.0.2 (dependabot[bot])
- frontend: automatically EOL lifeless rolling chroots (Pavel Raiskup)
- frontend: remove a dead code (Pavel Raiskup)
- doc: refer the team's address (Pavel Raiskup)
- backend: fix failing tests caused by 7aea0d1f6 (Jakub Kadlcik)
- backend: create only one storage object per project (Jakub Kadlcik)
- frontend, backend, common: don't limit the storage to pulp only (Jakub Kadlcik)
- backend: improve pulp documentation (Jakub Kadlcik)
- backend, frontend: upload built RPM packages to Pulp (Jakub Kadlcik)
- frontend, backend: create projects in pulp (Jakub Kadlcik)
- doc: same color for visited links in the main menu (Jakub Kadlcik)
- frontend: drop the sqlalchemy-utils dependency (Pavel Raiskup)
- dist-git-client: move to the dist-git project (Pavel Raiskup)
- dist-git-client: drop python3-six dep (Pavel Raiskup)
- rpmbuild, dist-git-client: new package dist-git-client (Pavel Raiskup)
- rpmbuild: Add diff.txt file for fedora review (Jiri Kyjovsky)
- backend: improve logging for expiring user SSH builders (Jakub Kadlcik)
- rpmbuild: when `copr-builder release` set timestamp 0 (Jakub Kadlcik)
- backend: first set expiration, then deploy user SSH keys (Jakub Kadlcik)
- utcnow() is deprecated (Miroslav Suchý)
- doc: check that our services don't use the going-to-be-deactivated chroot (Jakub Kadlcik)
- rpmbuild: copr-distgit-client depends on python-six (Pavel Raiskup)
- doc: release-notes 2024-05-22 (Pavel Raiskup)
- Update README.md (lachsdachs)
- frontend: use package timeout only if it was set (Jakub Kadlcik)
- Automatic commit of package [python-copr-common] release [0.24-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.73-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.177-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr] release [1.132-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.206-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.70-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-cli] release [1.112-1]. (Jakub Kadlcik)
- doc: document the per-project packages (Pavel Raiskup)
- frontend: center the outage warning banner text (Pavel Raiskup)
- frontend: fix unexpected output schema for deleting builds (Jakub Kadlcik)
- frontend: fix parsing build IDs to be deleted (Jakub Kadlcik)
- doc: add high_performance_builders to user documentation menu (Miroslav Suchý)
- frontend: Add per package timeout option (Robert-André Mauchin)
- alembic: fix a migration syntax warning (Pavel Raiskup)
- frontend: eol-emails deterministic (Pavel Raiskup)
- doc: add Copr CLI - Package Management video (Jakub Kadlcik)
- docker: Update Dockerfiles for backend_httpd and database (Robert-André Mauchin)
- python: discourage from deleting objects while paginating over them (Jakub Kadlcik)
- doc: reST link typo (Pavel Raiskup)
- doc: document that log-out from Ipsilon might help (Pavel Raiskup)
- frontend: list temporary project after normal projects (Jakub Kadlcik)
- frontend: don't index unlisted and temporary projects (Jakub Kadlcik)
- frontend: speedup the update-indexes command (Jakub Kadlcik)
- doc: mention cleaning after creating new images (Miroslav Suchý)
- doc: update the outage documentation, add e-mail template (Pavel Raiskup)
- doc: fixes for the latest release cycle (Pavel Raiskup)
- frontend: make EOL chroot emails shorter (Jakub Kadlcik)
- frontend: add tests for branching custom directory (Jakub Kadlcik)
- backend: multiple attempts to create repository before giving up (Jakub Kadlcik)
- frontend, backend: run rawhide-to-release for all CoprDirs (Jakub Kadlcik)
- doc: add Copr CLI - Fetching Build Results video (Jakub Kadlcik)
- beaker-tests-sanity: add -s so we can parse the build ID (Jakub Kadlcik)
- frontend: delete compatibility code between flask and flask-restx (Jiri Kyjovsky)
- frontend: migrate builds to flask-restx (Jiri Kyjovsky)
- python: suggest pagination only when a GET request timeouts (Jakub Kadlcik)
- cli: remove dependency on simplejson (Jakub Kadlcik)
- beaker-tests-sanity: add tests for build batches (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 1.0.0 to 1.0.1 (dependabot[bot])
- frontend: fix bug in reporting failed SRPMs to log-detective (Jiri Kyjovsky)
- beaker-tests-sanity: migrate test repositories from Pagure to GitHub (Jakub Kadlcik)
- frontend: commit after every 10 deleted projects instead of 100 (Jakub Kadlcik)
- doc: add release notes 2024-04-12 (Jakub Kadlcik)
- frontend: don't pass raw SQL as string but rather SQLAlchemy text (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.205-1]. (Jakub Kadlcik)
- frontend: fix url_for for restx (Jiri Kyjovsky)
- backend, rpmbuild: remove static methods from tests (Jakub Kadlcik)
- common: fix chroot_to_branch default (Pavel Raiskup)
- frontend: update download stats footnote (Jakub Kadlcik)
- doc: document DistGit cleanup (Pavel Raiskup)
- dist-git: don't expect remove_unused_sources is in /usr/bin (Pavel Raiskup)
- dist-git: drop unused lookaside-cache cleanup scripts (Pavel Raiskup)
- frontend: migrate more enpoints to flask-restx (Jiri Kyjovsky)
- frontend: speedup the removal of temporary projects (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 0.6.1 to 1.0.0 (dependabot[bot])
- frontend: add link to the Outdated chroots removal policy (Jakub Kadlcik)
- doc: link Using Copr CLI - Custom build method video (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 0.6.0 to 0.6.1 (dependabot[bot])
- releng: koji-infratag-* scripts unified and support epel (Pavel Raiskup)
- doc: mention the SSH access to Copr builders blog post (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.72-1]. (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.176-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr-common] release [0.23-1]. (Pavel Raiskup)
- common: make get_redis_connection to accept dict(opts) (Pavel Raiskup)
- rpmbuild: don't clean after builds with user ssh access (Jakub Kadlcik)
- backend: print user SSH instructions before the build starts (Jakub Kadlcik)
- frontend: run the check for anitya updates script under app context (Jakub Kadlcik)
- frontend: pick the outdated chroot more deterministically (Jakub Kadlcik)
- frontend: remove unused import (Jakub Kadlcik)
- frontend: explicitly add new objects to the transaction (Jakub Kadlcik)
- frontend: use ORM attributes in queries (Jakub Kadlcik)
- frontend: specify local_attr and remote_attr (Jakub Kadlcik)
- frontend: use context manager for SQLAlchemy execute (Jakub Kadlcik)
- doc: release-notes/2024-03-07 link typo (Pavel Raiskup)
- doc: release-notes/2024-03-07 (Pavel Raiskup)
- build(deps): bump actions/add-to-project from 0.5.0 to 0.6.0 (dependabot[bot])
- Automatic commit of package [copr-frontend] release [1.204-1]. (Pavel Raiskup)
- frontend: opt-in the log-detective.com button (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.175-1]. (Pavel Raiskup)
- backend: use correct (renamed) _discard_running_worker (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [0.71-1]. (Pavel Raiskup)
- rpmbuild: drop copr-builder help message (Jiri Kyjovsky)
- releng: don't release to EOL F37 (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.203-1]. (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.174-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [0.69-1]. (Pavel Raiskup)
- Automatic commit of package [copr-keygen] release [1.92-1]. (Pavel Raiskup)
- Automatic commit of package [copr-messaging] release [0.11-1]. (Pavel Raiskup)
- Automatic commit of package [copr-cli] release [1.111-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr] release [1.131-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr-common] release [0.22-1]. (Pavel Raiskup)
- cli, frontend: correctly check CoprDir before upload (Pavel Raiskup)
- frontend: useless CoprDirsLogic.get_or_create trusted_caller arg (Pavel Raiskup)
- beaker: fix expected error in build-spec.sh (Pavel Raiskup)
- java: drop the old java code (Pavel Raiskup)
- backend: drop ActionResult and use BackendResultEnum (Pavel Raiskup)
- backend: lint test_action.py imports (Pavel Raiskup)
- backend: replace backend-specific ActionType with ActionTypeEnum (Pavel Raiskup)
- common: fix misleading warning for non-copr users (Pavel Raiskup)
- common: add `contextlib.nullcontext` function (Siteshwar Vashisht)
- Actually assign fallback value from self.username (Kan-Ru Chen)
- doc: add video tutorial page (Jakub Kadlcik)
- doc: exempt projects with manual createrepo from pruning old results (Jakub Kadlcik)
- rpmbuild: don't set bootstrap_image_ready for rawhide (Jakub Kadlcik)
- rpmbuild: no Jinja-vars in config_opts keys (Pavel Raiskup)
- frontend: migrate monitor, modules, mock_chroots, webhooks enpoints to restx (Jiri Kyjovsky)
- beaker-tests-sanity: stop testing openmandriva i686 chroots (Jakub Kadlcik)
- doc: update documentation while upgrading builders to F39 (Jakub Kadlcik)
- doc: update screenshot tutorial (Jakub Kadlcik)
- backend: limit stdout/stderr of ssh.run_expensive() commands (Pavel Raiskup)
- pylint: disable too-many-instance-attributes (Pavel Raiskup)
- cli, frontend: dont check dirname presence in action_build (Jiri Kyjovsky)
- common: use 'copr-common/<version>' as http user agent (Andrew Bower)
- remove zuul (Jiri Kyjovsky)
- frontend: migrate build-chroots to flask-restx (Jiri Kyjovsky)
- frontend: show tooltip for the Log Detective button (Jakub Kadlcik)
- docs: mention the hypervisors' monitoring link (Pavel Raiskup)
- frontend: add button for feeding log detective (Jakub Kadlcik)
- backend: periodically check if the resalloc ticket isn't failed (Jakub Kadlcik)
- frontend: add runtime dependency on flask-sesison and markupsafe (Jakub Kadlcik)
- frontend, backend, common, rpmbuild: allow user SSH to builders (Jakub Kadlcik)
- Handle namespaced usernames (Aurélien Bompard)
- Messaging: Set the agent_name and usernames properties (Aurélien Bompard)
- backend, dist-git, frontend, keygen: keep logs 6 weeks instead of 13 (Pavel Raiskup)
- docker: increment fedora images to 39 (Jiri Kyjovsky)
- keygen: readthedocs works fine with the latest jinja2 now (Pavel Raiskup)
- cli: fix `copr build` --help output (Pavel Raiskup)
- doc: mention that we support high-performance s390x builders (Pavel Raiskup)
- frontend: clean expired projects even without user permission (Jiri Kyjovsky)
- Fix copr-rpmbuild --dump-configs (Evan Goode)
- use SQL UPDATE statement when increasing counter (Miroslav Suchý)
- fix race condition when creating new record for repo stat counter (Miroslav Suchý)
- pylint: ignore old issues, add doc strings (Pavel Raiskup)
- frontend: fix fedora-messaging consumer for the new flask (Pavel Raiskup)
- frontend, python: allow ignoring errors that a project already exists (Jakub Kadlcik)
- install copr-distgit-client with copr-rpmbuild (Miroslav Suchý)
- count every download of repo file (Miroslav Suchý)
- frontend: Compatibility with Werkzeug/Flask 3 (František Zatloukal)
- fix race condition when creating CoprDir (Miroslav Suchý)
- frontend: specify 4xx status codes for ApiError exceptions (Jakub Kadlcik)
- convert eror message to binary text before emitting (Miroslav Suchý)
- frontend: migrate API projects namespace to flask-restx (Jiri Kyjovsky)
- frontend/oidc: add OIDC_USERNAME_CLAIM (Bob131)
- frontend/oidc: clean up duplicate return code (Bob131)
- Fix typo in --namespace help output (Benjamin A. Beasley)
- build(deps): bump github/codeql-action from 2 to 3 (dependabot[bot])
- build(deps): bump actions/upload-artifact from 3 to 4 (dependabot[bot])
- frontend: don't traceback for disabled chroots (Jakub Kadlcik)
- frontend: show unknown badge when a package has no builds yet (Jakub Kadlcik)
- frontend: allow dot and plus characters in chroot denylist (Jakub Kadlcik)
- README: correctly refer to the workflow diagram (Pavel Raiskup)
- backend, dist-git: rename dispatcher scripts (Bob131)
- docs: Fedora Copr credentials (Pavel Raiskup)
- doc: remove obsoleted OpenStack documentation (Pavel Raiskup)
- doc: new announce_outage document (Pavel Raiskup)
- doc: simplified steps for upgrading to Fedora N+2 (Pavel Raiskup)
- keygen: try to export a key to find whether it exists (Jakub Kadlcik)
- Copr community is moving from IRC to Matrix (Pavel Raiskup)
- doc: document build timeouts in FAQ (Jakub Kadlcik)
- doc: document manual createrepo feature (Jakub Kadlcik)
- frontend: more precise description for manual createrepo (Jakub Kadlcik)
- frontend: Add backref relationship between Package and Build (Jiri Kyjovsky)
- beaker: skip openmandriva tests for Red Hat Copr (Pavel Raiskup)
- beaker-tests: show progress while waiting for module builds (Pavel Raiskup)
- beaker: build a Fedora package against a Fedora chroot (Pavel Raiskup)
- docs: raid: make sure we keep ansible-fedora-copr up2date (Pavel Raiskup)
- beaker: runtests.sh: don't fail with COPR_CLEANUP=false (Pavel Raiskup)
- beaker: allow customizing copr-distgit fedora branch prefix (Pavel Raiskup)
- doc: release-notes 2023-11-28 (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.173-1]. (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.202-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [0.68-1]. (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [0.70-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr-common] release [0.21-1]. (Pavel Raiskup)
- backend: enforce createrepo_c gzip compression (Pavel Raiskup)
- frontend: make alembic working on F39+ (Pavel Raiskup)
- frontend: unify naming convention for safe methods (Jiri Kyjovsky)
- beaker-tests-sanity: use custom package for testing ExclusiveArch (Jakub Kadlcik)
- backend: self-identify the resalloc resource in logs (Pavel Raiskup)
- backend: drop playbooks from copr-backend payload (Pavel Raiskup)
- backend: nicer unknown-resalloc-tickets output (Pavel Raiskup)
- backend: worker to not call keygen for source builds (Pavel Raiskup)
- beaker: COPR_CLEANUP=false for runtest-fedora-review.sh (Pavel Raiskup)
- beaker: start testing F39 chroot with F39 client (Pavel Raiskup)
- docs: how to enlarge copr-backend storage (Pavel Raiskup)
- doc: raid-on-backend: generic updates (Pavel Raiskup)
- docs: how to maintain Fedora Copr hypervisors (Pavel Raiskup)
- doc: fix reST links and a C&P error (Pavel Raiskup)
- doc: high-performance builders (Pavel Raiskup)
- doc: cleanup the Quick Start part (Pavel Raiskup)
- docs: how to work with autospec (Pavel Raiskup)
- frontend: don't ignore custom method repos from the WebUI (Jakub Kadlcik)
- Get version for Packit builds from specfile (Frantisek Lachman)
- Use tito for Packit builds and share the actions (Frantisek Lachman)
- doc: faq - how to handle autospec (Miroslav Suchý)
- backend: don't sign srpm-builds (Pavel Raiskup)
- backend: longer timeout for fallback generating GPG keys after build (Jakub Kadlcik)
- backend: add --no-threads parameter for easier debugging (Jakub Kadlcik)
- backend: recreate missing repodata so that prunerepo doesn't traceback (Jakub Kadlcik)
- backend: fix several failing tests (Jakub Kadlcik)
- frontend: show recent copr builds on homepage as opt-in (Pavel Raiskup)
- frontend: keep temp projects up to 2 years (Julius Tranquilli)
- common/backend/distgit: rename GroupWorkerLimit to HashWorkerLimit (Pavel Raiskup)
- backend: provide per-arch & per-owner worker limit (Pavel Raiskup)
- frontend: re-raise errors to API instead of passing null (Jiri Kyjovsky)
- frontend: use get_copr_chroot_safe in get_build_record (Jiri Kyjovsky)
- Collect and compress fedora-review logs after run (Daniel Milnes)
- common: explicitly build-depend on python-six (Pavel Raiskup)
- frontend: don't log anything if OIDC is disabled (Jakub Kadlcik)
- frontend: don't create a separate logger for the oidc.py file (Jakub Kadlcik)
- frontend: do not display recent builds box on main page (Miroslav Suchý)
- behave: fix expected version of common (Pavel Raiskup)
- frontend: explain the reason of skipped chroots (Jakub Kadlcik)
- rpmbuild: use Copr custom macros when parsing the specfile (Jakub Kadlcik)
- build(deps): bump actions/checkout from 3 to 4 (dependabot[bot])
- doc: s/Forbidden/Not-Allowed/ licenses (Pavel Raiskup)
- frontend: reword priority=X info for better look (Jiri Kyjovsky)
- backend: bypass worker's log down to sshcmd (Pavel Raiskup)
- backend: handle Popen timeout in one place (Pavel Raiskup)
- backend: sshcmd issues spotted by pylint (Pavel Raiskup)
- backend: react on staled SSH connections (Pavel Raiskup)
- frontend: provide "priority" value for 'dnf5 copr enable' (Pavel Raiskup)
- beaker: predictable sub-package ExclusiveArch test (Pavel Raiskup)
- beaker: align tests with the August 2023 release (Pavel Raiskup)
- doc: highlights from 2023-08-16 release (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.69-1]. (Pavel Raiskup)
- Automatic commit of package [copr-keygen] release [1.91-1]. (Pavel Raiskup)
- Automatic commit of package [copr-cli] release [1.110-1]. (Pavel Raiskup)
- Automatic commit of package [python-copr] release [1.130-1]. (Pavel Raiskup)
- Automatic commit of package [copr-dist-git] release [0.67-1]. (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.201-1]. (Pavel Raiskup)
- Automatic commit of package [copr-backend] release [1.172-1]. (Pavel Raiskup)
- releng: release for Fedora 39, too (Pavel Raiskup)
- Automatic commit of package [python-copr-common] release [0.20-1]. (Pavel Raiskup)
- frontend: allow "epoch is null" field in BuildChrootResult (Pavel Raiskup)
- backend: dump the /update/ payload to worker.log (Pavel Raiskup)
- backend: don't run external command to collect built packages (Jakub Kadlcik)
- backend: don't parse results.json for the second time (Jakub Kadlcik)
- frontend: skip ExcludeArch and ExclusiveArch for resubmitted builds (Jakub Kadlcik)
- Add upstream_tag_include to Packit config (Laura Barcziova)
- rpmbuild: require new python-specfile version (Jakub Kadlcik)
- frontend: support grab group info from OIDC provider (pkking)
- rpmbuild: override disttag macro to None (Jakub Kadlcik)
- rpmbuild: use values with evaluated macros (Jakub Kadlcik)
- rpmbuild: fix the check if a priority was set (Jakub Kadlcik)
- rpmbuild: return epoch value after macro expansion (Jakub Kadlcik)
- rpmbuild: build RPM in one mock call (Jakub Kadlcik)
- rpmbuild: speedup the custom build with mock bootstrap image (Pavel Raiskup)
- frontend: allow specifying fully-qualified bootstrap images (Pavel Raiskup)
- frontend: don't traceback upon exc*arch absence in results (Pavel Raiskup)
- backend: don't eat the "build detail collecting" traceback (Pavel Raiskup)
- rpmbuild: more reliable SRPM vs RPM build check (Jakub Kadlcik)
- backend: unknown-resalloc-tickets fixes (Pavel Raiskup)
- rpmbuild: save review.json from fedora-review (Jakub Kadlcik)
- rpmbuild: more verbose results.json SRPM generator (Pavel Raiskup)
- rpmbuild: drop dependency on simplejson (Pavel Raiskup)
- releng: release copr-common into EPEL8, too (Pavel Raiskup)
- backend: more careful format_evr() (Pavel Raiskup)
- rpmbuild: make sure detected epoch is int() or None (Pavel Raiskup)
- rpmbuild: retry downloads from lookaside-cache (Pavel Raiskup)
- distgit: tell rpkg not to generate pre-push hook (Jiri Kyjovsky)
- rpmbuild: rename fedora-review results even if the command fails (Jakub Kadlcik)
- rpmbuild: change some fedora-review print statements to log.info (Jakub Kadlcik)
- frontend, common: move chroot_to_branch to copr-common (Jakub Kadlcik)
- backend: fix tests for zst compression on F39+ (Jakub Kadlcik)
- frontend: allow config-based build-chroot tags (Pavel Raiskup)
- frontend: drop useless and confusing function split (Pavel Raiskup)
- frontend: drop 'Revises' from the Alembic template (Pavel Raiskup)
- frontend: don't show new action task if namespace is deleting itself (Jiri Kyjovsky)
- rpmbuild: fallback to querying NEVRA from SRPM package header (Jakub Kadlcik)
- rpmbuild: depend on new, much faster python3-specfile (Jakub Kadlcik)
- backend, rpmbuild: move package NEVR parsing to builder (Jakub Kadlcik)
- frontend: add relationship between Action model and Copr model (Jiri Kyjovsky)
- packit: yamllint (Pavel Raiskup)
- cli, frontend: rely on DNF with documenting repo priority (Pavel Raiskup)
- frontend:  group alias need 1:1 mapping to group (Li Chaoran)
- frontend, cli, python, rpmbuild: Add priority=X to repo config (Jiri Kyjovsky)
- dist-git: fix test_do_import test (Pavel Raiskup)
- backend: update tests to work with new test-data tarball (Jakub Kadlcik)
- packit: wait for python-copr-common to build first (Jiri Kyjovsky)
- cli: make build works in openEuler (lcrpkking)
- backend: log task dict in case of error returned from redis (Jiri Kyjovsky)
- Drop dependency on `future` (Lumir Balhar)
- cli: new download-build --logs option (jpandia)
- python: remove raise_from from future package (Jiri Kyjovsky)
- Use monorepo setup for Packit (Frantisek Lachman)
- frontend, cli: make pyp2spec the default PyPI spec generator (Jakub Kadlcik)
- dist-git: allow importing pre-generated srpm in rpkg (Jiri Kyjovsky)
- dist-git: refresh pyrpkg.Commands after import_srpm (Jiri Kyjovsky)
- frontend: add failed-to-succeeded-stats command (Jakub Kadlcik)
- build(deps): bump jinja2 from 3.0.0 to 3.1.2 in /keygen (dependabot[bot])
- add how to rename chroot doc (Li Chaoran)
- fix: python build failed in openeuler (Li Chaoran)
- fix: frontend build failed in openEuler (Li Chaoran)
- dist-git: make the cgitrc include file smaller (Pavel Raiskup)
- rpmbuild: extract spec into resultdir regardless of the current directory (Jakub Kadlcik)
- rpmbuild: query exclusivearch and excludearch from spec instead of SRPM (Jakub Kadlcik)
- frontend, backend, rpmbuild: skip excluded chroots (Jakub Kadlcik)
- frontend: don't touch skipped chroots when import is completed (Jakub Kadlcik)
- rpmbuild: run automation classes for both SRPM and RPM builds (Jakub Kadlcik)
- backend: drop bunch dependency from requirements.txt (Jakub Kadlcik)
- keygen: temporarily specify jinja2 version in requirements.txt (Jakub Kadlcik)
- doc: how to reproduce builds (Pavel Raiskup)
- backend, keygen, messaging, python: add now required .readthedocs.yaml (Jakub Kadlcik)
- add packages count at homepage (Li Chaoran)
- frontend: better clone_url matching on webhooks (Pavel Raiskup)
- doc: describe how to enlarge btrfs volumes (Pavel Raiskup)
- beaker: make Copr vendor configurable (Pavel Raiskup)
- beaker: allow running multiple test env containers (Pavel Raiskup)
- beaker: make the Makefile work in 'git worktree' (Pavel Raiskup)
- beaker: pre-create the tested DNF Copr config (Pavel Raiskup)
- rpmbuild: supported in openeuler (Li Chaoran)
- backend: move all python-specfile stuff into try-except (Pavel Raiskup)
- docs: IBM Cloud now requires API key, not password (would require 2FA) (Pavel Raiskup)
- backend: fill SRPM's nevra info spec file (Jiri Kyjovsky)
- rpmbuild: extract spec file from SRPM (Jiri Kyjovsky)
- rpmbuild: make sure we have the latest DNF5 on builders (Jakub Kadlcik)
- add redis auth supported (Li Chaoran)
- Automatic commit of package [copr-backend] release [1.171-1]. (Pavel Raiskup)
- copr_prune_results.py: work-around the arg_max problem (Pavel Raiskup)
- dist-git:add supported openeuler (Li Chaoran)
- Automatic commit of package [copr-backend] release [1.170-1]. (Pavel Raiskup)
- build_aux: don't recreate testing image every time new test is launched (Jiri Kyjovsky)
- rpmbuild: release for EPEL9 too (Pavel Raiskup)
- backend: don't enforce appstream-builder in copr_prune_results (Pavel Raiskup)
- backend: copr_prune_results: just one API call to FE (Pavel Raiskup)
- doc: add list of known public Copr instances (Jakub Kadlcik)
- doc: describe Copr-specific RPM macros (Jakub Kadlcik)
- doc: add 2023-05-25 release notes (Jakub Kadlcik)
- frontend: don't list temporary projects on main page (Jiri Kyjovsky)
- frontend: request confirmation before deleting db (Jiri Kyjovsky)
- ci: better detect the real changes (Pavel Raiskup)
- beaker-tests-sanity: update test container to F38 (Jakub Kadlcik)
- beaker-tests-sanity: use testmodule.yaml for F38 (Jakub Kadlcik)
- beaker-tests-sanity: update tested chroots to F37 and F38 (Jakub Kadlcik)
- tito: stop releasing for F36 (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.66-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.68-1]. (Jakub Kadlcik)
- dist-git: use `skip` for skipping tests from pytest (Jiri Kyjovsky)
- rpmbuild: fix typo in pyrhon binary python -> python3 (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.200-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.169-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr-common] release [0.19-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-cli] release [1.109-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr] release [1.129-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.65-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.90-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-messaging] release [0.10-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.67-1]. (Jakub Kadlcik)
- cli: show CHROOT in help output instead of CHROOTS (Jakub Kadlcik)
- beaker-tests-sanity: don't test project searching pt.2 (Jakub Kadlcik)
- fix: common build failed in openEuler (Li Chaoran)
- frontend: send follow_fedora_branching value via API (Jiri Kyjovsky)
- beaker-tests-sanity: don't test project searching (Jakub Kadlcik)
- beaker-tests-sanity: don't test armhfp builds anymore (Jakub Kadlcik)
- frontend: add module_hotfixes to Repo schema (Jakub Kadlcik)
- add support for OIDC (Li Chaoran)
- cli: more readable errors related to implicit ownername (Pavel Raiskup)
- fix: keygen build failed in openEuler (Li Chaoran)
- frontend: allow submitting EPEL8 module builds (Jakub Kadlcik)
- doc: add backup recovery page (Jakub Kadlcik)
- doc: fix typo, the backend data label is named copr-repo (Jakub Kadlcik)
- frontend: show resalloc-webui link in the task queue (Jakub Kadlcik)
- backend: forking: better handle FileExistsError (Pavel Raiskup)
- doc: add names for the root volumes (Jakub Kadlcik)
- frontend: accept the OpenID response as a POST request (Pavel Raiskup)
- frontend: OpenAPI first steps (Jakub Kadlcik)
- frontend: automatically create aliases for routes with trailing slash (Jakub Kadlcik)
- doc: adding a pulp instance (Jakub Kadlcik)
- doc: move the architecture diagram to plantuml (Pavel Raiskup)
- frontend: include the Amazon Linux logo for Amazon Linux chroots (David Duncan)
- doc: explain that SRPM is downloaded from DistGit only once per build (Jakub Kadlcik)
- frontend, python, cli: general check if it makes sense to upload SRPM (Jakub Kadlcik)
- cli: describe add-package-custom and edit-package-custom in the manpage (Jakub Kadlcik)
- frontend: add command for generating usage treemap (Jakub Kadlcik)
- doc: update allowed licenses URL from wiki to docs (Jakub Kadlcik)
- doc: move Pagure Integration section into a separate document (Pavel Raiskup)
- doc: update pagure commit flagging description (Pavel Raiskup)
- docs: document [copr-build] keyword (Jiri Kyjovsky)
- dist-git: improve logging feedback for importing package (Jiri Kyjovsky)
- rpmbuild, frontend: add loggs to python-backoff decorator (Jiri Kyjovsky)
- frontend: api3 rpmrepo: provide module_hotfixes opt (Pavel Raiskup)
- fix: we should set git.safe_directory as repo rootdir (lcrpkking)
- rpmbuild: explain how to reproduce the build locally (Jakub Kadlcik)
- backend: run the copr-rpmbuild command with task URL, not build ID (Jakub Kadlcik)
- rpmbuild: retry only git clone without checkouting (Jiri Kyjovsky)
- doc: some grammar and format fixes for the 2023-04-05 release notes (Jakub Kadlcik)
- cli: sync --timeout manpage docs with --help output (Jiri Kyjovsky)
- Derive all message classes from _CoprMessage (Nils Philippsen)
- doc: mention the release notes in toctree (Pavel Raiskup)
- doc: add release notes about 2023-04-05 release (Jiri Kyjovsky)
- rpmbuild: use git checkout instead of switch but ignore files (Jakub Kadlcik)
- build(deps): bump actions/add-to-project from 0.4.1 to 0.5.0 (dependabot[bot])
- ci: avoid the ubiquitous github-code-scanning message (Pavel Raiskup)
- frontend: show API config even for not logged users (Miroslav Suchý)
- Automatic commit of package [copr-backend] release [1.168-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.64-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.199-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.108-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [1.128-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.63-1]. (Jiri Kyjovsky)
- tito: add f38 branch to tito (Jiri Kyjovsky)
- dist-git: skip tests that python3-rpkg breaks (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.62-1]. (Jiri Kyjovsky)
- Automatic commit of package [python-copr] release [1.127-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [0.66-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.198-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.107-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [1.167-1]. (Jiri Kyjovsky)
- frontend: for-DNF5 API rpmrepo route (Pavel Raiskup)
- dist-git: skip test_no_op_1 (Jiri Kyjovsky)
- frontend: change footer links from Bugzilla to GitHub (Jakub Kadlcik)
- frontend: test compat with flask-sqlalchemy 3+ (Pavel Raiskup)
- frontend: don't 500 for KRB5_USER_DENYLIST_PATTERNS=None (Pavel Raiskup)
- We do not have fedora-messaging in openEuler, so change fedora-messaging as a optional runtime-requirement (lcrpkking)
- backend: no need to build require messaging libs (lcrpkking)
- openshift: specify both command+args in deployment (waaagh)
- frontend: explicitly ask which user checks the permissions (Jakub Kadlcik)
- frontend, python, cli: make sure user can build in the project before uploading (Jakub Kadlcik)
- backend: run createrepo without --database (Jiri Kyjovsky)
- make copr_messaging optional (lichaoran)
- rpmbuild: use 'git switch', not 'git checkout' (Pavel Raiskup)
- cli: add `get` cli command for proxy.project.get() (Jiri Kyjovsky)
- docs: how do we monitor Fedora Copr (Pavel Raiskup)
- frontend: change the whooshee packages field to IDLIST (Jakub Kadlcik)
- frontend: update-indexes-quick needs to commit optimized (Jakub Kadlcik)
- frontend: run copr-frontend update-indexes daily (Jakub Kadlcik)
- frontend: rework copr-frontend update-indexes command (Jakub Kadlcik)
- rpmbuild: copr-distgit-client: don't be blocked by empty lines (Pavel Raiskup)
- frontend: LDAP: handle situations when user is in no group (Pavel Raiskup)
- frontend: handle LDAP "uid= not found" situations (Pavel Raiskup)
- Automatic commit of package [python-copr] release [1.126-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-rpmbuild] release [0.65-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-messaging] release [0.9-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-keygen] release [1.89-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-frontend] release [1.197-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-dist-git] release [0.61-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-cli] release [1.106-1]. (Jiri Kyjovsky)
- Automatic commit of package [copr-backend] release [1.166-1]. (Jiri Kyjovsky)
- backend: don't include package name into srpm result dir name (Jiri Kyjovsky)
- fronted: follow the self.result_dir name instead of hardcoded id (Jiri Kyjovsky)
- cli: add --review parameter for download-build (Jakub Kadlcik)
- beaker-tests-sanity: convert inconsistent tabs to spaces (Jakub Kadlcik)
- frontend: allow automation (cron) to remove builds (Pavel Raiskup)
- frontend: allow specifying a KRB5 user denylist (Pavel Raiskup)
- doc: mention all the mass-rebuilding tools that we know of (Jakub Kadlcik)
- dist-git: don't kill background workers for service restarts (Pavel Raiskup)
- rpmbuild: dist-git-client: add basic "clone" method (Pavel Raiskup)
- build(deps): bump actions/add-to-project from 0.4.0 to 0.4.1 (dependabot[bot])
- use openEuler as the canonical name (Li Chaoran)
- cli: disable default option for modifying project (Jiri Kyjovsky)
- python-copr and cli: add option for follow_fedora_branching (Jiri Kyjovsky)
- fix broken rubygem rebuild page. (Li Chaoran)
- distgit: log from what URL a task is being fetched (Jakub Kadlcik)
- build_aux: Add hack for unittesting in container (Jiri Kyjovsky)
- doc: describe modularity features (Jakub Kadlcik)
- frontend: restrict forking of large projects (Jakub Kadlcik)
- cli: simplify `mock-config` output (Pavel Raiskup)
- rpmbuild, frontend: define some copr-specific environment variables (Jakub Kadlcik)
- replacing pagure with github in our projects after copr migration to GH (Jiri Kyjovsky)
- keygen: fix config files installation pattern (Pavel Raiskup)
- messaging: add app_name property to _CoprMessage base class (Ryan Lerch)
- frontend, backend: remove libmodulemd1 dependency (Jakub Kadlcik)
- frontend: use the active_only parameter (Jakub Kadlcik)
- frontend: remove try-except block for fedora older than 36 (Jiri Kyjovsky)
- frontend: fix sorting by build time (Jiri Kyjovsky)
- backend: hardlink RPMs while doing rawhide_to_release (Pavel Raiskup)
- Automatic commit of package [copr-frontend] release [1.196-1]. (Jakub Kadlcik)
- frontend: rawhide_to_release usable index (Pavel Raiskup)
- frontend: rawhide_to_release: don't repeatedly query for CoprChroot (Pavel Raiskup)
- frontend: rawhide_to_release: avoid sqlalchemy warning (Pavel Raiskup)
- frontend: faster rawhide_to_release query (Pavel Raiskup)
- actions: move newly created issues to our issue review board (Jiri Kyjovsky)
- automation: upload pylint errors to GitHub using SARIF (Pavel Raiskup)
- make sign key domain name configurable (Li Chaoran)
- doc: some postrelease fixes after 2023-01-25 release (Jakub Kadlcik)
- frontend: anitya: re-submit already built packages if version is higher (Pavel Raiskup)
- frontend: anitya: re-try downloads from datagrepper (Pavel Raiskup)
- frontend: anitya: fix joins on the expensive query (Pavel Raiskup)
- frontend: anitya: skip also "post" releases (Pavel Raiskup)
- frontend: anitya: dump updated packages to log (Pavel Raiskup)
- frontend: anitya: skip-pre-release versions earlier (Pavel Raiskup)
- frontend: anitya: skip re-building if already being built (Pavel Raiskup)
- frontend: assign anityia builds with packages ASAP (Pavel Raiskup)
- doc: add 2023-01-25 release notes (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.195-1]. (Pavel Raiskup)
- frontend: anitya: ignore pre-release tarballs sooner (Pavel Raiskup)
- frontend: anitya rebuilds: ignore alpha versions (Pavel Raiskup)
- frontend: fix the "Modules:" form widget (Pavel Raiskup)
- frontend: ignore anitya BadRequest rebuild attempts (Pavel Raiskup)
- Automatic commit of package [copr-rpmbuild] release [0.64-1]. (Jakub Kadlcik)
- rpmbuild: add runtime dependency for python-backoff (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.165-1]. (Jakub Kadlcik)
- backend: skip the test_run_prunerepo test because of Koji (Jakub Kadlcik)
- releng: don't build for F35 anymore (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.88-1]. (Jakub Kadlcik)
- keygen: fix validation for projects with dash in their name (Jakub Kadlcik)
- Automatic commit of package [copr-frontend] release [1.194-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-backend] release [1.164-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr-common] release [0.18-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-rpmbuild] release [0.63-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-messaging] release [0.8-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-keygen] release [1.87-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-cli] release [1.105-1]. (Jakub Kadlcik)
- Automatic commit of package [copr-dist-git] release [0.60-1]. (Jakub Kadlcik)
- Automatic commit of package [python-copr] release [1.125-1]. (Jakub Kadlcik)

* Tue Jan 24 2023 Jakub Kadlcik <frostyx@email.cz> 1.55-1
- Use spdx license

* Wed Nov 30 2022 Pavel Raiskup <praiskup@redhat.com> 1.54-1
- new package built with tito
- httpd_t on copr-frontend has the rights to link copr_data_t files (uploaded stuff)

* Mon Feb 11 2019 Jakub Kadlčík <frostyx@email.cz> 1.53-1
- Add more rules for keygen (follow-up to 4f689743)

* Tue Jan 15 2019 Miroslav Suchý <msuchy@redhat.com> 1.52-1
- allow signd to write to socket

* Fri Oct 19 2018 Miroslav Suchý <msuchy@redhat.com> 1.51-1
- do the relabel in %%posttrans
- use git_dir_archive instead of git_dir_pack
- allow frontend's apache to ioctl uploaded tarballs
- packaging: Python 2/3, RHEL/Fedora fixes

* Tue Aug 07 2018 clime <clime@redhat.com> 1.50-1
- fix distro condition for policycoreutils-python

* Mon Aug 06 2018 clime <clime@redhat.com> 1.49-1
- rpkg deployment into COPR

* Fri Feb 23 2018 clime <clime@redhat.com> 1.48-1
- remove Group tag

* Mon Dec 18 2017 Dominik Turecek <dturecek@redhat.com> 1.47-1
- wrap map permission in an optional block

* Wed Apr 19 2017 clime <clime@redhat.com> 1.46-1
- add perl as build dependency

* Wed Apr 19 2017 clime <clime@redhat.com> 1.45-1
- replace fedorahosted links

* Wed Aug 03 2016 Miroslav Suchý 1.44-1
- restore context of only those files, which context changed

* Fri Jul 01 2016 clime <clime@redhat.com> 1.43-1
- Revert "add selinux rule for cgit"

* Wed Jun 29 2016 Miroslav Suchý <msuchy@redhat.com> 1.42-1
- add selinux rule for cgit

* Sat Jun 04 2016 Miroslav Suchý <miroslav@suchy.cz> 1.41-1
- adjust selinux policy generation for separated log file paths

* Sun May 29 2016 Pete Travis <me@petetravis.com> - 1.40-2
- separate log file paths for backend and frontend

* Mon Mar 14 2016 Miroslav Suchý <miroslav@suchy.cz> 1.40-1
- add missing types to requires section

* Fri Feb 12 2016 Miroslav Suchý <msuchy@redhat.com> 1.39-1
- allow copr-dist-git to read dist-git

* Wed Feb 03 2016 Miroslav Suchý <msuchy@redhat.com> 1.38-1
- add rules for dist-git and keygen

* Mon Jul 27 2015 Miroslav Suchý <msuchy@redhat.com> 1.37-1
- 1246610 - depend on policycoreutils-python-utils

* Thu Mar 05 2015 Valentin Gologuzov <vgologuz@redhat.com> 1.36-1
- [selinux] allow httpd_t to write into /var/log/copr/

* Wed Oct 22 2014 Miroslav Suchý <msuchy@redhat.com> 1.35-1
- remove old changelogs

* Mon Oct 20 2014 Miroslav Suchý <msuchy@redhat.com> 1.34-1
- 1077795 - co-own /usr/share/selinux/mls

* Tue Oct 14 2014 Miroslav Suchý <msuchy@redhat.com> 1.33-1
- 1077795 - use macro for /usr/share/

* Mon Oct 13 2014 Miroslav Suchý <msuchy@redhat.com> 1.32-1
- 1077795 - spec cleanup

* Wed May 21 2014 Miroslav Suchý <msuchy@redhat.com> 1.31-1
- follow selinux packaging draft

* Tue Mar 18 2014 Miroslav Suchý <msuchy@redhat.com> 1.30-1
- finish move selinux into separate package
